blob: f1111dbdbe623f562c9437c60b2eb0d6535be262 [file] [log] [blame]
#!/usr/bin/env bash
if [ -z "$KUT_STANDALONE" ]; then
if [ ! -f config.mak ]; then
echo "run ./configure && make first. See ./configure -h"
exit 2
fi
source config.mak
source scripts/arch-run.bash
fi
ACCEL=$(get_qemu_accelerator) ||
exit $?
qemu=$(search_qemu_binary) ||
exit $?
if [ "${1: -7}" = ".pv.bin" ] || [ "${TESTNAME: -3}" = "_PV" ] && [ "$ACCEL" = "tcg" ]; then
echo "Protected Virtualization isn't supported under TCG"
exit 2
fi
if [ "${1: -7}" = ".pv.bin" ] || [ "${TESTNAME: -3}" = "_PV" ] && [ "$MIGRATION" = "yes" ]; then
echo "Migration isn't supported under Protected Virtualization"
exit 2
fi
M='-machine s390-ccw-virtio'
M+=",accel=$ACCEL"
command="$qemu -nodefaults -nographic $M"
command+=" -chardev stdio,id=con0 -device sclpconsole,chardev=con0"
command+=" -kernel"
command="$(panic_cmd) $(migration_cmd) $(timeout_cmd) $command"
# We return the exit code via stdout, not via the QEMU return code
run_qemu_status $command "$@"